package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFIG6Response {

    @Parameter(name = "DiagnosticMessage")
    String diagnosticMessage();

    @Parameter(name = "ErrCode")
    String errCode();

    @Parameter(name = "IDTransakce")
    String iDTransakce();

    @Parameter(name = "KurzZobchodovany")
    Double kurzZobchodovany();

    @Parameter(name = "Status360T")
    String status360T();

    @Parameter(name = "StatusMessage360T")
    String statusMessage360T();

    @Parameter(name = "StavTransakce")
    String stavTransakce();

}